html,
body {
  position: relative;
  overflow-x: hidden !important;
}

body {
  margin: 0;
  padding: 0;
}

* {
  font-family: Edensor;
  user-select: none;
}

#hero {
  background-image: url("Assets/hero-bg.webp");
  background-size: 100% 100%;
  background-position: center;
  background-repeat: no-repeat;
  max-height: 100vh;
  height: 100vh;
  padding: 66px 70px 50px;
  min-height: 500px;
}
.hero-main-row {
  height: 100%;
  max-height: 524px;
}

.name-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  height: 100%;
}

.hero-notice {
  font-size: 24px;
  font-weight: 400;
  line-height: 29.42px;
  text-align: center;
  text-transform: uppercase;
  color: #ffffff;
}

.name-heading {
  text-transform: uppercase;
  font-size: 72px;
  font-weight: 400;
  line-height: 88.27px;
  letter-spacing: -0.6000000238418579px;
  text-align: center;
  color: #ffffff;
}

.date-container-absolute {
  display: flex;
  align-items: center;
  position: absolute;
  top: 60px;
  left: 70px;
  gap: 30px;
  height: auto;
}

.date-container-relative {
  float: left;
  display: flex;
  align-items: center;
  gap: 30px;
  height: auto;
}

.date-container-absolute hr,
.date-container-relative hr {
  width: 2px;
  background-color: #ffffff;
  border: none;
  margin: 0;
  height: 186px;
}

.timer {
  gap: 36px;
  height: min-content !important;
  flex: none;
}

.hero-date {
  font-size: 60px;
  font-weight: 400;
  line-height: 73.56px;
  text-align: left;
  color: #ffffff;
}

.time {
  font-size: 80px;
  font-weight: 400;
  line-height: 98.08px;
  letter-spacing: -0.6000000238418579px;
  text-align: left;
  color: #fafafa;
}

.timer-label {
  font-size: 30px;
  font-weight: 400;
  line-height: 25px;
  letter-spacing: -0.6000000238418579px;
  text-align: center;
  color: #fafafa;
}

.location-paragraph-container p {
  margin: 80px auto 0;
  max-width: 477px;
  font-size: 30px;
  font-weight: 400;
  line-height: 36.78px;
  text-align: center;
}
.location-img-container {
  height: 618px;
  display: flex;
  align-items: center;
  justify-content: center;
}
#slider-cover-img {
  z-index: 2;
}
.swiper {
  width: 372px;
  height: 434px;
  opacity: 1;
  z-index: 1;
  position: absolute;
  transition: opacity 1.5s ease; /* Smooth transition for opacity */
}

.swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 18px;
  font-size: 22px;
  font-weight: bold;
  color: #fff;
  background-size: 100% 100%;
  background-position: center;
  background-repeat: no-repeat;
}

#slide1 {
  background-image: url("Assets/slide3.webp");
}

#slide2 {
  background-image: url("Assets/slide2.webp");
}

#slide3 {
  background-image: url("Assets/slide1.webp");
}

#slide4 {
  background-image: url("Assets/slide4.webp");
}

#slide5 {
  background-image: url("Assets/slide5.webp");
}
#slide6 {
  background-image: url("Assets/slide6.webp");
}
.location-img-container img {
  cursor: pointer;
  display: block;
  margin: 80px auto 0;
}
.first-event {
  margin-top: 30px;
}
.location-container h2 {
  margin: 100px auto 0;
  font-size: 48px;
  font-weight: 400;
  line-height: 58.85px;
  letter-spacing: -0.6000000238418579px;
  text-align: center;
  text-transform: uppercase;
}

.location-container hr {
  height: 87px;
  width: 1px;
  border: none;
  background: #000000;
}

.event-time {
  margin-top: 2px;
  font-size: 40px;
  font-weight: 400;
  line-height: 49.04px;
  letter-spacing: -0.6000000238418579px;
}

.event {
  margin-top: 8px;
  font-family: Poppins;
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
  text-align: center;
}

.location {
  margin-top: 4px;
  font-family: Poppins;
  font-size: 24px;
  font-weight: 400;
  line-height: 36px;
  text-align: center;
  gap: 0;
}

.location a {
  font-weight: 400;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: 0px;
  text-align: center;
  vertical-align: middle;
  text-decoration: underline;
  text-decoration-style: solid;
  text-decoration-thickness: 0%;
  text-decoration-skip-ink: auto;

  color: #1c1b1b;
}

.restaurant-bg {
  margin-top: 80px;
  background-image: url("Assets/restaurant.webp");
  background-size: 100% 100%;
  background-position: center;
  background-repeat: no-repeat;
  max-height: 100vh;
  height: 100vh;
  min-height: 500px;
}

.video-row {
  display: flex;
  justify-content: center;
  margin: 120px 100px 0;
}

.second-events {
  margin-top: 90px;
}

footer {
  padding: 80px 0 60px;
}

.footer-text-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-text {
  font-weight: 400;
  font-size: 40px;
  line-height: 100%;
  letter-spacing: 0px;
  text-align: center;
  vertical-align: middle;
  text-transform: uppercase;
  color: #393939;
}

#playButton {
  cursor: pointer;
  background: none;
  border: none;
  right: 10px;
  bottom: 10px;
  z-index: 111;
  padding: 0;
}

#playButton img {
  width: 50px;
}
